<template>
  <nav class="topbar -fix">
    <div class="container">

      <div class="-spacer"></div>
      <UserAvatar />

    </div>
  </nav>
</template>

<script>
export default {
  name: 'Navbar'
}
</script>

<style lang="scss">
.topbar {
  position: relative;
  width: 100%;
  height: var(--height-topbar);

  box-shadow: 0 0 10px rgba($color-black, .14);
  background: $color-white;

  @include _respond-to('desktops') {
    width: calc(100% - var(--width-sidebar));
  }

  &.-fix {
    margin-top: var(--height-sidebar);

    @include _respond-to('desktops') {
      position: fixed;
      top: 0;
      left: var(--width-sidebar);
      z-index: z-index('topbar');
      margin-top: 0;
    }
  }

  .container {
    height: 100%;
    @include _containerHelper();
    @include _display-flex(flex, center, space-between, row);

    @include _respond-to('phones') {
      .-spacer {
        flex: 0;
      }

      .user-container {
        flex: 1;
      }
    }
  }

}
</style>
